
Redmine - Feature #27920

Show button to create new version in issue form even if all versions are locked or closed

2018-01-09 13:08 - Ivan Cenov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

If all versions are closed or locked and there is no any version opened, there is no way to create new version when creating new

issue or editing existing issue.

When there are no opened versions the field "Target version" is not shown and the (+) button next to it is also not shown.

I think that this is omission, because if there is at least one opened version, the (+) button for creating new version is shown.

Related issues:

Is duplicate of Redmine - Feature #4569: Cannot add new version if all versio... New 2010-01-13

History

#1 - 2018-01-18 05:56 - Bernhard Rohloff

This should be a "Defect" right?

If this is the case, please have a look at the guidelines for Submissions.

#2 - 2018-01-18 06:47 - Marius BĂLTEANU

- Tracker changed from Feature to Defect

- Status changed from New to Needs feedback

#3 - 2018-02-01 11:43 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Subject changed from No button to create new version when all versions are locked or closed to Show button to create new version even if all

versions are locked or closed

- Status changed from Needs feedback to New

I can reproduce on vanilla Redmine 3.4.4.

#4 - 2018-02-01 11:44 - Toshi MARUYAMA

- Subject changed from Show button to create new version even if all versions are locked or closed to Show button to create new version in issue form

even if all versions are locked or closed

#5 - 2018-09-02 04:14 - Go MAEDA

- Is duplicate of Feature #4569: Cannot add new version if all versions are closed (from issues page) added

#6 - 2018-09-02 04:15 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

I found the same issue #4569. Closing this issue as a duplicate.

Thank you for reporting.
